## Protocols

-   [ApolloClientProtocol](protocols/ApolloClientProtocol/)
-   [Cancellable](protocols/Cancellable/)
-   [GraphQLFragment](protocols/GraphQLFragment/)
-   [GraphQLInputValue](protocols/GraphQLInputValue/)
-   [GraphQLMapConvertible](protocols/GraphQLMapConvertible/)
-   [GraphQLMutation](protocols/GraphQLMutation/)
-   [GraphQLOperation](protocols/GraphQLOperation/)
-   [GraphQLQuery](protocols/GraphQLQuery/)
-   [GraphQLSelection](protocols/GraphQLSelection/)
-   [GraphQLSelectionSet](protocols/GraphQLSelectionSet/)
-   [GraphQLSubscription](protocols/GraphQLSubscription/)
-   [HTTPNetworkTransportDelegate](protocols/HTTPNetworkTransportDelegate/)
-   [HTTPNetworkTransportGraphQLErrorDelegate](protocols/HTTPNetworkTransportGraphQLErrorDelegate/)
-   [HTTPNetworkTransportPreflightDelegate](protocols/HTTPNetworkTransportPreflightDelegate/)
-   [HTTPNetworkTransportRetryDelegate](protocols/HTTPNetworkTransportRetryDelegate/)
-   [HTTPNetworkTransportTaskCompletedDelegate](protocols/HTTPNetworkTransportTaskCompletedDelegate/)
-   [JSONDecodable](protocols/JSONDecodable/)
-   [JSONEncodable](protocols/JSONEncodable/)
-   [Matchable](protocols/Matchable/)
-   [NetworkTransport](protocols/NetworkTransport/)
-   [NormalizedCache](protocols/NormalizedCache/)
-   [RequestCreator](protocols/RequestCreator/)
-   [UploadingNetworkTransport](protocols/UploadingNetworkTransport/)

## Structs

-   [ApolloRequestCreator](structs/ApolloRequestCreator/)
-   [GraphQLBooleanCondition](structs/GraphQLBooleanCondition/)
-   [GraphQLError](structs/GraphQLError/)
-   [GraphQLField](structs/GraphQLField/)
-   [GraphQLFile](structs/GraphQLFile/)
-   [GraphQLFragmentSpread](structs/GraphQLFragmentSpread/)
-   [GraphQLHTTPResponseError](structs/GraphQLHTTPResponseError/)
-   [GraphQLResult](structs/GraphQLResult/)
-   [GraphQLResultError](structs/GraphQLResultError/)
-   [GraphQLTypeCase](structs/GraphQLTypeCase/)
-   [GraphQLTypeCondition](structs/GraphQLTypeCondition/)
-   [GraphQLVariable](structs/GraphQLVariable/)
-   [Location](structs/Location/)
-   [Record](structs/Record/)
-   [RecordSet](structs/RecordSet/)
-   [Reference](structs/Reference/)

## Classes

-   [ApolloClient](classes/ApolloClient/)
-   [ApolloStore](classes/ApolloStore/)
-   [Atomic](classes/Atomic/)
-   [EmptyCancellable](classes/EmptyCancellable/)
-   [GraphQLQueryWatcher](classes/GraphQLQueryWatcher/)
-   [GraphQLResponse](classes/GraphQLResponse/)
-   [HTTPNetworkTransport](classes/HTTPNetworkTransport/)
-   [InMemoryNormalizedCache](classes/InMemoryNormalizedCache/)
-   [JSONSerializationFormat](classes/JSONSerializationFormat/)
-   [MultipartFormData](classes/MultipartFormData/)
-   [ReadTransaction](classes/ReadTransaction/)
-   [ReadWriteTransaction](classes/ReadWriteTransaction/)

## Enums

-   [ApolloClientError](enums/ApolloClientError/)
-   [CachePolicy](enums/CachePolicy/)
-   [ErrorKind](enums/ErrorKind/)
-   [GraphQLHTTPRequestError](enums/GraphQLHTTPRequestError/)
-   [GraphQLOperationType](enums/GraphQLOperationType/)
-   [GraphQLOutputType](enums/GraphQLOutputType/)
-   [JSONDecodingError](enums/JSONDecodingError/)
-   [Source](enums/Source/)

## Extensions

-   [ApolloClient](extensions/ApolloClient/)
-   [Array](extensions/Array/)
-   [Atomic](extensions/Atomic/)
-   [Bool](extensions/Bool/)
-   [Dictionary](extensions/Dictionary/)
-   [DispatchQueue](extensions/DispatchQueue/)
-   [Double](extensions/Double/)
-   [Float](extensions/Float/)
-   [GraphQLError](extensions/GraphQLError/)
-   [GraphQLMapConvertible](extensions/GraphQLMapConvertible/)
-   [GraphQLMutation](extensions/GraphQLMutation/)
-   [GraphQLOperation](extensions/GraphQLOperation/)
-   [GraphQLQuery](extensions/GraphQLQuery/)
-   [GraphQLSelectionSet](extensions/GraphQLSelectionSet/)
-   [GraphQLSubscription](extensions/GraphQLSubscription/)
-   [GraphQLVariable](extensions/GraphQLVariable/)
-   [HTTPNetworkTransport](extensions/HTTPNetworkTransport/)
-   [Int](extensions/Int/)
-   [JSONDecodingError](extensions/JSONDecodingError/)
-   [JSONEncodable](extensions/JSONEncodable/)
-   [Optional](extensions/Optional/)
-   [RawRepresentable](extensions/RawRepresentable/)
-   [Record](extensions/Record/)
-   [RecordSet](extensions/RecordSet/)
-   [Reference](extensions/Reference/)
-   [RequestCreator](extensions/RequestCreator/)
-   [String](extensions/String/)
-   [URL](extensions/URL/)

## Methods

-   [unzip(_:)](methods/unzip(_:)/)
-   [unzip(_:)](methods/unzip(_:)/)

# Reference Documentation
This reference documentation was generated with
[SourceDocs](https://github.com/eneko/SourceDocs).